Read Blueprints
GET
List TaskBlueprints with filtering, searching, and sorting.
Filters:
- search_query: Search in name and description (ILIKE)
- owner_id: Filter by owner ID (superuser only)
- owner_user_id: Filter by the owning user's organizations (superuser only)
- owned_only: Restrict to the current user's own blueprints (excludes global and other users' rows)
- must_include_job_type: Restrict to blueprints whose jobs include this type
- sort_by: Sort by created_at, updated_at, or name
- sort_order: Sort direction (asc or desc)
- skip: Number of records to skip for pagination
- limit: Maximum number of records to return
HTTPBearerheader
AuthorizationBearer <token>include_deleted?Include DeletedDefault
falsesearch_query?|nullsort_by?Sort ByDefault
"created_at"sort_order?Sort OrderDefault
"desc"Value in
"asc""desc"skip?SkipRange
0 <= valueDefault
0limit?LimitRange
1 <= value <= 1000Default
100owner_id?integer|nullowner_user_id?integer|nullmust_include_job_type?string|nullowned_only?Owned OnlyDefault
falseSuccessful Response
application/json- response
data*array<>count*Countcurl -X GET 'https://app.copyhero.app/api/v1/blueprints/tasks/'Example Response
{ "data": [ { "name": "string", "description": "string", "owner_id": 0, "id": 0, "jobs": [ { "name": "string", "description": "string", "job_type": "string", "input_data": "string", "id": 0, "owner_id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "count": 0}